Home
last modified time | relevance | path

Searched refs:anOri (Results 1 – 8 of 8) sorted by relevance

/dports/cad/opencascade/opencascade-7.6.0/src/BRepGProp/
H A DBRepGProp.cxx163 TopAbs_Orientation anOri = F.Orientation(); in surfaceProperties() local
165 MG.Perform(aTri, aLocDummy, anOri); in surfaceProperties()
242 TopAbs_Orientation anOri = F.Orientation(); in volumeProperties() local
243 Standard_Boolean isFwd = anOri == TopAbs_FORWARD; in volumeProperties()
247 isRvs = anOri == TopAbs_REVERSED; in volumeProperties()
279 MG.Perform(aTri, aLocDummy, anOri); in volumeProperties()
410 TopAbs_Orientation anOri = aFace.Orientation(); in volumePropertiesGK() local
411 Standard_Boolean isFwd = anOri == TopAbs_FORWARD; in volumePropertiesGK()
415 isRvs = anOri == TopAbs_REVERSED; in volumePropertiesGK()
557 TopAbs_Orientation anOri = aFace.Orientation(); in volumePropertiesGK() local
[all …]
/dports/cad/opencascade/opencascade-7.6.0/src/BRepBuilderAPI/
H A DBRepBuilderAPI_FastSewing.cxx715 TopAbs_Orientation anOri = anEdge < 2 ? TopAbs_FORWARD : TopAbs_REVERSED; in CreateTopologicalWire() local
720 anTopE.Orientation(anOri); in CreateTopologicalWire()
744 anOri = TopAbs::Reverse(anOri); in CreateTopologicalWire()
750 anTopE.Orientation(anOri); in CreateTopologicalWire()
H A DBRepBuilderAPI_Sewing.cxx3046 TopAbs_Orientation anOri = theEdge.Orientation(); in replaceNMVertices() local
3054 anewEdge.Orientation(anOri); in replaceNMVertices()
/dports/cad/opencascade/opencascade-7.6.0/src/AIS/
H A DAIS_ViewCube.cxx802 const V3d_TypeOfOrientation anOri = (V3d_TypeOfOrientation )aPartIter; in ComputeSelection() local
804 createBoxPartTriangles (Handle(Graphic3d_ArrayOfTriangles)(), aNbNodes, aNbTris, anOri); in ComputeSelection()
812 createBoxPartTriangles (aTris, aNbNodes, aNbTris, anOri); in ComputeSelection()
815 if (IsBoxCorner (anOri)) in ComputeSelection()
819 else if (IsBoxEdge (anOri)) in ComputeSelection()
823 Handle(AIS_ViewCubeOwner) anOwner = new AIS_ViewCubeOwner (this, anOri); in ComputeSelection()
/dports/cad/opencascade/opencascade-7.6.0/src/TopOpeBRepBuild/
H A DTopOpeBRepBuild_CorrectFace2d.cxx474 TopAbs_Orientation anOri = anEdge.Orientation(); in ConnectWire() local
477 if (anOri==TopAbs_FORWARD) { in ConnectWire()
865 TopAbs_Orientation anOri = anEdge.Orientation(); in MoveWire2d() local
869 if (anOri==TopAbs_FORWARD) { in MoveWire2d()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepTools/
H A DBRepTools_WireExplorer.cxx329 TopAbs_Orientation anOri = anEdge.Orientation(); in Init() local
334 if ((anOri == TopAbs_FORWARD && aF == -Precision::Infinite()) || in Init()
335 (anOri == TopAbs_REVERSED && aL == Precision::Infinite())) { in Init()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepCheck/
H A DBRepCheck_Wire.cxx607 TopAbs_Orientation anOri; in Closed2d() local
609 anOri = aFirstEdge.Orientation(); in Closed2d()
611 if ((anOri == TopAbs_FORWARD && Precision::IsNegativeInfinite( aF )) || in Closed2d()
612 (anOri == TopAbs_REVERSED && Precision::IsPositiveInfinite( aL ))) in Closed2d()
615 anOri = aLastEdge.Orientation(); in Closed2d()
618 if ((anOri == TopAbs_FORWARD && Precision::IsPositiveInfinite( aL )) || in Closed2d()
619 (anOri == TopAbs_REVERSED && Precision::IsNegativeInfinite( aF ))) in Closed2d()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepFill/
H A DBRepFill_TrimShellCorner.cxx1503 TopAbs_Orientation anOri = in CheckAndOrientEdges() local
1505 theOrientedList.Append(aE.Oriented(anOri)); in CheckAndOrientEdges()